import os
import sys

# Avoid variable name warning
# pylint: disable=invalid-name
libexecdir = '/usr/lib/i386-linux-gnu/vmnetx'
# pylint: enable=invalid-name

# Avoid variable name warning
# Protected member is part of the PyInstaller API
# _MEIPASS always exists when frozen is True
# pylint: disable=invalid-name,protected-access,no-member
if getattr(sys, 'frozen', False):
    # Running in PyInstaller environment; __file__ doesn't work
    # Hardcode location within PyInstaller bundle for now
    schemadir = os.path.join(sys._MEIPASS, 'share', 'vmnetx', 'schema')
else:
    schemadir = os.path.join(os.path.dirname(__file__), 'schema')
# pylint: enable=invalid-name,protected-access,no-member

# Avoid variable name warning
# pylint: disable=invalid-name
update_check_url = '' or None
# pylint: enable=invalid-name

__version__ = '0.5.1'
